org.eclipse.wst.jsdt.js.node.common

## Class CommonPlugin

- java.lang.Object
- - AbstractUIPlugin
  - - org.eclipse.wst.jsdt.js.node.common.CommonPlugin

    public class CommonPlugin
    extends AbstractUIPlugin

### Field Summary

Fields
`static java.lang.String` `PLUGIN_ID`

### Constructor Summary

Constructors
Constructor and Description
`CommonPlugin()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CommonPlugin` `getDefault()`
`static ImageDescriptor` `getImageDescriptor(java.lang.String path)` Returns an image descriptor for the image file at the given plug-in relative path
`static void` `logError(java.lang.String message)`
`static void` `logError(java.lang.Throwable e)`
`static void` `logError(java.lang.Throwable e, java.lang.String message)`
`static void` `logInfo(java.lang.String info)`
`void` `start(BundleContext context)`
`void` `stop(BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

### Constructor Detail

#### CommonPlugin

    public CommonPlugin()

### Method Detail

#### start

    public void start(BundleContext context)
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getDefault

    public static CommonPlugin getDefault()

#### logError

    public static void logError(java.lang.Throwable e)

#### logError

    public static void logError(java.lang.Throwable e,
                                java.lang.String message)

#### logError

    public static void logError(java.lang.String message)

#### logInfo

    public static void logInfo(java.lang.String info)

#### getImageDescriptor

    public static ImageDescriptor getImageDescriptor(java.lang.String path)

Returns an image descriptor for the image file at the given plug-in relative path

Parameters:
  `path` - the path
Returns:
  the image descriptor